
DROP TABLE a;
DROP TABLE b;
DROP TABLE c;
DROP TABLE d;
DROP TABLE e;
DROP TABLE f;

DROP SEQUENCE dseq;




------------------------
-- INSERT
------------------------


CREATE TABLE a (f varchar);
INSERT INTO a (f) VALUES ('test');
INSERT INTO a (f) VALUES ('test');

SELECT * FROM a;


CREATE TABLE b (id integer, f varchar);
INSERT INTO b (id,f) VALUES (1,'test');
INSERT INTO b (id,f) VALUES (2,'test');

SELECT * FROM b;
SELECT * FROM b WHERE id = 1;


CREATE TABLE c (id serial, f varchar);

INSERT INTO c (id,f) VALUES (default,'test');
INSERT INTO c (f) VALUES ('test');

SELECT * FROM c;

-- \d c;
SELECT * FROM c_id_seq;

INSERT INTO c VALUES (nextval('c_id_seq'),'test2');

SELECT * FROM c;
SELECT * FROM c_id_seq;

INSERT INTO c (f) VALUES ('test3');


SELECT * FROM c;
SELECT * FROM c_id_seq;
select lastval();
select currval('c_id_seq');



CREATE TABLE d (id serial primary key, f varchar);
--\d d

CREATE TABLE e (id integer primary key, f varchar);
CREATE SEQUENCE dseq;
ALTER TABLE e ALTER id SET DEFAULT nextval('dseq');

--\d e;
select setval('dseq',10);
INSERT INTO e (id,f) values (default,'test');
SELECT * FROM e;


-------------------
-- UPDATE
-------------------
CREATE TABLE f (id serial primary key, f1 varchar,f2 varchar);
INSERT INTO f (f1,f2) VALUES ('test1','test2');


UPDATE f SET f1='test2', f2='test2' WHERE id = 1;
SELECT * FROM f;


UPDATE f SET (f1,f2) = ('test3','test3') WHERE id = 1;
SELECT * FROM f;

