
DROP TABLE temp;
CREATE TABLE temp (x int, y int);

INSERT INTO temp VALUES(4,6);
INSERT INTO temp VALUES(8,3);
INSERT INTO temp VALUES(4,7);
INSERT INTO temp VALUES(1,5);
INSERT INTO temp VALUES(7,8);
INSERT INTO temp VALUES(2,3);
INSERT INTO temp VALUES(5,1);
INSERT INTO temp VALUES(9,4);


CREATE OR REPLACE FUNCTION f_graph() RETURNS text AS $$
str <- pg.spi.exec ('select x as "my a" ,y as "my b" from temp order by x,y');
pdf('/tmp/myplot.pdf');
plot(str,type="l",main="Graphics Demonstration",sub="Line Graph");
dev.off();
print('done');
$$ LANGUAGE plr;



