#!/usr/bin/perl -w

use strict;
use DBI;


my $cid;
if (! defined $ARGV[0]) {
	$cid = 1;	
} else {
	$cid =  $ARGV[0];
}




my ($id, $order_no, $customer, $magazine, $quantity, $org_price, $sales_amount, $sales_dt);

format SALES_TOP =
   id | order_no | customer | magazine | quantity | org_price | sales_amount |      sales_dt       
------+----------+----------+----------+----------+-----------+--------------+---------------------
.

format SALES = 
@>>>> | @>>>>>>> | @>>>>>>> | @>>>>>>> | @>>>>>>> | @>>>>>>>> | @>>>>>>>>>>> | @>>>>>>>>>>>>>>>>>>
$id,    $order_no, $customer, $magazine, $quantity, $org_price, $sales_amount, $sales_dt
.


#

my  $dbh;
my  $sth;


eval {

	$dbh = DBI->connect("dbi:Pg:dbname=kostas;host=127.0.0.1", "kostas", "",{AutoCommit => 1 , RaiseError => 1}) || die "CANOT CONNECT TO DB";
	$dbh->begin_work;


	$sth = $dbh->prepare(q{SELECT id,order_no, customer,magazine,quantity,org_price,sales_amount,sales_dt FROM public.sale WHERE customer = ? });
	$sth->bind_param(1, $cid);
	my $rv = $sth->execute();

	my $data;
	
	open(SALES,">&STDOUT");

  	while ($data  = $sth->fetchrow_arrayref){
		$id = $data->[0];
		$order_no = $data->[1];
		$customer = $data->[2];
		$magazine = $data->[3];
		$quantity = $data->[4];
		$org_price = $data->[5];
		$sales_amount = $data->[6];
		$sales_dt = $data->[7];
		write SALES;		
	}


	close(SALES);

	$dbh->commit;
	$dbh->disconnect();
	

};
if ($@){
	print "ERROR (1) $@\n";
	$dbh->rollback;
	$dbh->disconnect();
	die $@;
};
